Support » Plugin: TablePress » TablePress & PHP 7.0 compatibility

  • Resolved kgagne

    (@kgagne)


    I ran PHP Compatibility Checker to determine if TablePress is compatible with PHP 7.0. I received the following 2 warnings and 2 errors.

    Will a future version of TablePress be compatible with PHP 7.0?

    ——————————————————————————————————————————————-

    FILE: /wp-content/plugins/tablepress/views/view-about.php
    ——————————————————————————————————————————————-
    FOUND 2 ERRORS AFFECTING 2 LINES
    ——————————————————————————————————————————————-
    185 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 – use mysqli instead.
    186 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 – use mysqli instead.
    ——————————————————————————————————————————————-

    FILE: /wp-content/plugins/tablepress/libraries/simplexlsx.class.php
    ——————————————————————————————-
    FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES
    ——————————————————————————————-
    602 | WARNING | The use of function dl is discouraged from PHP version 5.3
    604 | WARNING | The use of function dl is discouraged from PHP version 5.3
    ——————————————————————————————-

    https://wordpress.org/plugins/tablepress/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author TobiasBg

    (@tobiasbg)

    Hi Ken,

    thanks for your question, and sorry for the trouble.

    No worries, you can neglect these errors are warnings. TablePress does only call those mysql_ functions if they are available (on older versions of PHP).
    The same holds for that dl() function. It’s only called when available and needed.

    I’ve been using TablePress with PHP 7.0 for quite some time and haven’t seen issues.

    Regards,
    Tobias

    Awesome! Thank you for the quick and positive response, Tobias.

    Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    no problem, you are very welcome! 🙂 Good to hear that this helped!

    Best wishes,
    Tobias

    Hi Tobias,

    Thank you so much for getting back so quickly! I am very pleased that you can confirm your plugin is compatible with PHP 7 and I’m also pleased this has helped others.

    Kind regards,
    Shane

    Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    no problem, you are very welcome! 🙂 Good to hear that this helped!

    Best wishes,
    Tobias

    P.S.: In case you haven’t, please rate TablePress here in the plugin directory. Thanks!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘TablePress & PHP 7.0 compatibility’ is closed to new replies.